I am using SpringSource Tool Suite (sts-2.5.2) which is based on Eclipse 3.6.1 running on Java 1.6.0_23.  I have installed the derby core plugin (derby_core_plugin_10.7.1) and the derby ui plugin (derby_ui_doc_plugin_1.1.2) based on the directions here:  http://db.apache.org/derby/integrate/plugin_howto.html#Installing+the+plug-ins.

When I start STS/Eclipse, I create a new Java project and attempt to add the Derby project nature to it, I receive the following message:

"The chosen operation is not currently available."

Is there a work around available for this issue?

Thanks,

Joshua